@font-face {
    font-family: "Dobra-Black";
    src: url("/page/shrines/discoelysium/Dobra-Black.ttf") format("truetype");
}  

@font-face {
    font-family: "Dobra-Medium";
    src: url("/page/shrines/discoelysium/Dobra-Medium.ttf") format("truetype");
}  

@font-face {
    font-family: "Dobra-Light";
    src: url("/page/shrines/discoelysium/Dobra-Light.ttf") format("truetype");
}  

body, html {
   height:100%
}

body{
    background-color: #783015;
    background-image: url("/image/disco-elysium-thought-cabinet-bg.png"); 
    background-size: 100%;
    /*background-blend-mode: color-dodge;
    background-blend-mode: hard-light;*/
}

    /*thank you https://cssgrid-generator.netlify.app/!!*/
.page {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: 1fr;
    grid-column-gap: 14px;
    grid-row-gap: 0px;
}

h1{
    height: 40px;
    width: 350px;
    font-size: 30px;
    text-align: center;
    text-transform: uppercase;
    background: #efebef;
    font-family: "Dobra-Medium";
    color: #000000;
    white-space: nowrap;
    z-index: 10;
    position: absolute;
    left: 0;
    padding: 8px 2px 2px 20px;
}

.ghost{
    height: 40px;
    width: 360px;
    padding: 8px 2px 2px 20px;
    background: rgba(193, 189, 183, 0.8);
    transform: rotate(-2deg);
    position: absolute;
    left: 0;
    top: 30px;
    z-index: 9;
}

.about { 
    grid-area: 1 / 1 / 6 / 2; 
    backdrop-filter: brightness(20%) hue-rotate(190deg);
    color: #ffffff;
    overflow-y: scroll;
    border-left: 4px dashed rgba(87, 101, 112,0.8) ;
    border-right: 4px dashed rgba(87, 101, 112,0.8) ;
    height: 100%;
    outline: 4px solid rgba(87, 101, 112,1) ;;
}

.about{ 
    h2{
        text-transform: uppercase;
        font-family: "Dobra-Medium", sans-serif;
        font-size: 18px;
        margin: 0 20px 5px 20px;
        padding-top: 15px;
        border-top: 1px solid #64645d;
    }
    
    .home{
        text-transform: uppercase;
        font-family: "Dobra-Medium", sans-serif;
        font-size: 18px;
        color: #fff;
        display: block;
        border-bottom: 4px solid #eb6400;
        border-image: linear-gradient(
            90deg, #eb6400 23.5%, 
            rgba(0,0,0,0) 23.5%, rgba(0,0,0,0) 25.5%, 
            #eb6400 25.5%, #eb6400 49%,
            rgba(0,0,0,0) 49%, rgba(0,0,0,0) 51%, 
            #eb6400 51%, #eb6400 74.5%, 
            rgba(0,0,0,0) 74.5%, rgba(0,0,0,0) 76.5%, 
            #eb6400 76.5%,#eb6400 100%
            ) 5;
        margin: 20px 20px 10px 20px;
    }
    
    .home {
        a{
            color: #fff;
        }
    
        .right{
            display:block;
            float:right;
        }
    
        .right::after{
        content: "4 / 4";
        }
    }

    .morale{
        text-transform: uppercase;
        font-family: "Dobra-Medium", sans-serif;
        font-size: 18px;
        color: #fff;
        display: block;
        border-bottom: 4px solid #0d778f; 
        border-image: linear-gradient(
            90deg, #0d778f 18.4%, 
            rgba(0,0,0,0) 18.4%, rgba(0,0,0,0) 20.4%, 
            #0d778f 20.4%,  #0d778f 38.8%,
            rgba(0,0,0,0) 38.8%, rgba(0,0,0,0) 40.8%, 
            #0d778f 40.8%,  #0d778f 59.2%, 
            rgba(0,0,0,0) 59.2%, rgba(0,0,0,0) 61.2%, 
            #0d778f 61.2%, #0d778f 79.6%,
            rgba(0,0,0,0) 79.6%, rgba(0,0,0,0) 81.6%, 
            #3b3b3b 81.6%, #3b3b3b 100%
            ) 5;
        margin: 0 20px 15px 20px;
    }
     .morale::after{
        content: "Morale:";
    }
    
    .morale .right{
        display:block;
        float:right;
    }
    .morale .right::after{
        content: "4 / 5";
    }
    
    .stats{
        display: flex;
        justify-content: space-around;
        text-align: center;
        font-family: "Dobra-Medium", sans-serif;
        text-transform: uppercase;
        padding: 2px 0 13px 0;
        border-bottom: 1px solid #64645d;
        margin: 20px;
    }

    .stats {
        .stat{
            padding: 0 5px 0 5px;
            border-bottom: 5px solid black;
        }
    
        .value{
            font-size: 40px;
        }
        
        .light{
            color: #000000;
            background: #ffffff;
        }
    }

    .content{
        overflow-y: scroll;
        height: 53vh;
        color: #cfd1b7;
    }

    .content{
        p{
            border-left: solid 3px #e3b734;
            margin: 10px 20px 0px 12px;
            padding-left: 6px;
        }

        blockquote{
            border-left: solid 3px #cb476a;
            margin: 10px 20px 0px 12px;
            padding-left: 6px;
            font-style: italic;
            color: #737166;
            /*background-color: RGBA(0,0,0,0.2);*/
        }

        a{
            color: #b16300;
        }

        a:visited{
            color: #a5371d;
        }
    }
}

.members { 
    grid-area: 1 / 2 / 6 / 4; 
    text-align: center;
    overflow-y: scroll;
    overflow-x: hidden;
    font-family: "Dobra-Medium", sans-serif;
    text-transform: uppercase;
    height: 600px;
    margin-top: 70px;
}

.members {

    .rows{
        display: flex;
        justify-content: space-around;
    }
    .rows{
        .col{
            display: flex;
            flex-direction: column;
        }
        .col.offset{
                padding-top: 90px;
        }
        .col{
            .member{
                width: 100px;
                height: 100px;
                border: 3px solid #bac5c6;
                border-radius: 1px;
                outline: 2px solid #b16300;
                margin: 30px;
                transform: rotate(45deg);
            }
            
            .member.empty{
                outline: none;
                border-color: #bad1af;
                border-image: linear-gradient(135deg, rgba(9, 41, 73, 0.06) 0%, rgba(70, 144, 137, 0.23) 50%, rgb(186, 209, 175) 100%) 3;
                background-image: linear-gradient(135deg, rgba(9, 41, 73, 0) 0%,rgba(186, 209, 175, 0.2) 70% ,rgba(186, 209, 175, 0.5) 100%);
            }
            
            .member .contents{
                transform: rotate(-45deg) translate(0, 20px);
                padding-bottom: 20px;
            }

            .member.empty .contents{
                display: none;
            }

            .member .name{
                transform: translate(-30px);
                width: 148px;
                background: #b16300;
                color: #e5dfc7;
                overflow-wrap: break-word;
            }

            .member .name a{
                color: #e5dfc7;
                text-decoration: none;
            }

            .member .button{
                height: 31px;
                width: 88px;
                border: 1px solid #000000;
                margin-bottom: 10px;
            }
        }
    }
}
    

.rules { 
    grid-area: 1 / 4 / 6 / 5; 
    margin-top: 100px;
    height: 500px;
    text-transform: uppercase;
    font-family: "Dobra-Medium", sans-serif;
    font-weight: normal;
    text-align: right;
    overflow-y: scroll;
}

.rules{
    h2{
        color: #000000;
        display: inline;
    }

    h2 .highlight{
        background: #fbfbe7;
    }

    /*The UI text that would be confusing without css :P*/
    h2::before{
        color: #737166;
        padding-right: 10px;
        content: "Sort thoughts by:";
        display: block;
        font-size: 15px;
    }

    h2::after{
        content: " / DATE / A-Z";
        background: none;
        color: #737166;
        font-size: 17px;
    }

     ul{
        padding: 0;
    }

     li{
        background-color: #000;
        color: #cfd1b7;
        list-style: none;
        font-family: "Dobra-Light", sans-serif;
        text-align: left;
        font-size: 20px;
        margin-bottom: 4px;
        padding: 0;
    }

    li .rule{
        background-color: #b16300;
        margin-left: 30px;
        /*float: right;*/
        /*width: 80%;*/
    }

    li::before{
        content: "◈";
        /*display: inline-block;
        margin: auto;*/
        /*width: 30px;*/
        float: inline-start;
        padding: 0 6px 0 6px;
        /*text-align: center;*/
    }
    li.notrule{
        background: RGBA(0,0,0,0);
        margin-left: 30px;
    }

     li.notrule::before{
        content: none;
    }

    li.notrule::after {
    content: attr(data-after);
    }
}

.join { grid-area: 1 / 5 / 6 / 7; 
    background: radial-gradient(circle, rgba(0, 0, 0, 0) 0%, rgba(1, 30, 41, 0.4) 95%);
    background-position: 99px 99px;
    backdrop-filter: brightness(60%) hue-rotate(190deg);
    height: 100%;
    color: #d7d9c0;
}

.join{
    h2{
        font-family: "Dobra-Medium", sans-serif;
        text-align: right;
        color:#dbdbdb;
        text-transform: uppercase;
        font-size: 30px;
        padding: 0;
        margin: 0 10% 0 10%;
        width: 80%;
    }

    h2 span{
        display: none;
    }

    .h2after{
        background-color: #dbdbdb;
        color: #1b1b1b;
        font-family: "Dobra-Medium", sans-serif;
        text-align: right;
        text-transform: uppercase;
        font-size: 30px;
        width: 70%;
        margin: 0 10% 0 20%;
    }

    .h2after::after{
        content: "Join"
    }

    .before-content{
        background-color: #fbfbe700;
        text-transform: uppercase;
        color: #a7a697;
        font-family: "Dobra-Medium", sans-serif;
        font-size: 16px;
        display: inline-block;
        text-align: center;
        margin: 0;
        width: 60%;
        padding: 0 20% 0 20%;
    }

    .before-content::before{
        content: "Problem / "
    }

    .before-content span{
        color: #000;
        background-color: #fbfbe7;
        display: inline-block;
    }

    .before-content span::after{
        content: "Solution"
    }

    .content{
        padding: 0 5% 5% 5%;
        height: 50%;
        overflow-y: scroll;
        word-wrap: break-word;
    }

    .content h3{
        font-family: "Dobra-Medium", sans-serif;
        text-transform: uppercase;
    }
}

.nav{
    padding: 100px 10px 10px 10px;
    display: none;
    background: rgba(0, 0, 0,0.8);
    color: white;
}

.nav a{
    color: #e3e5cb;
}

.to-top{
    display: none;
    text-align: center;
    background-color: #000000;
}

.to-top a{
    color: #b16300;
}

.bottom-menu {
	position:fixed;
    border-right: 525px solid #110d08;
    border-top: 25px solid transparent;
    height: 52.5px;
    width: 0;
    bottom: 0;
    right: 0;
    z-index: 10;
}

.bottom-menu-container{
    width: 525px;
    height: 52.5px;
    bottom: 0;
    right: 0;
    display: flex;
    justify-content: space-around;
    position:fixed;
    align-items: center;
    z-index: 11;
    font-size:30px;
}

.bottom-menu-container .icon {
    color: #6a6968;
}

.bottom-menu-container .icon a{
    color: #a5371d;
    text-decoration: none;
}

/*for tha phoners*/
@media screen and (max-width: 1200px) {
    .members { 
        overflow-x: visible;
    }
}

@media screen and (max-width: 800px) {
    .page{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: 4fr;
        grid-column-gap: 0px;
        grid-row-gap: 20px;
    }

    .about { grid-area: 1 / 1 / 2 / 2; }
    .members { 
        grid-area: 2 / 1 / 3 / 2; 
        height: auto;
        overflow-y: visible;
        overflow-x: visible;
    }
    .rules {
         grid-area: 3 / 1 / 4 / 2; 
        height: auto;
        width: 80%;
        margin:auto;
    }
    .join { grid-area: 4 / 1 / 5 / 2; }

    .nav, .to-top{
        display: block;
    }

    .bottom-menu {
        position:fixed;
        border-right: 300px solid #110d08;
        border-top: 25px solid transparent;
        height: 35px;
    }

    .bottom-menu-container{
        width: 300px;
        height: 35px;
        font-size:20px;
    }
}

/*Notes for people without css*/
.hidden{
    display: none;
}